// Dubtex - Rhapsody In Blue - Dubbilan Custom Shaders            \\
// Feel free to use - just give the credit, and send me a note ;) \\
	

textures/dubtex/dub_marb
{
	surfaceparm nomarks  
	surfaceparm nolightmap
	{
                map textures/dubtex/dub_env.tga
                tcGen environment
                rgbGen identity
	}  
        {
		map textures/dubtex/dub_marb.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
}

textures/dubtex/dub_bluelight
{
	qer_editorimage textures/dubtex/dub_bluelight.tga
	q3map_lightimage textures/dubtex/dub_bluelight.blend.tga
	q3map_surfacelight 100
//	light 1
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/dubtex/dub_bluelight.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/dubtex/dub_bluelight.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/dubtex/dub_jumpad
{ 
        qer_editorimage textures/dubtex/dub_jump_rim.tga
        cull disable	
        surfaceparm nomarks
        surfaceparm trans
        sort additive	

        {
	        
	        clampmap textures/dubtex/dub_blue_jump.tga
		blendFunc add
                //depthWrite
                //tcMod stretch sin .9 0.1 0 .5
                tcmod rotate 327
                rgbGen identity
	}
        {
	        
	        clampmap textures/dubtex/dub_blue_jump.tga
		blendFunc add
                //depthWrite
                //tcMod stretch sin .9 0.1 0 .5
                tcmod rotate -654
                rgbGen identity
	}
	  {
	        clampmap textures/dubtex/dub_jump_rim.tga
		alphaFunc GE128
                depthWrite
                tcmod rotate -200
	        rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}



}

textures/dubtex/dub_fastbeam
{
	qer_editorimage textures/sfx/beam_blue4.tga 
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	qer_trans 0.6
	{
		map textures/sfx/beam_blue4.tga
		blendfunc add
		rgbGen identity
		tcMod scroll 3 0
	}
}

textures/dubtex/blue_inferno_rim
{
	qer_editorimage textures/dubtex/blue_inferno.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/dubtex/blue_inferno.tga
		tcMod scroll -1. 0.5
		tcMod turb 0 .12 0 0.333
	}
}

textures/dubtex/dub_rhapsky
{
	q3map_lightsubdivide 512
	q3map_globaltexture
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	
	q3map_sun	0.6 0.6 1.1 95 60 80
	q3map_surfacelight 110
	
	qer_editorimage textures/dubtex/dubrhap_sky.tga

	skyparms - 512 -

	{
		map textures/dubtex/dubrhap_sky.tga
		tcMod scale 3 2
		tcMod scroll 0.15 0.15
		depthWrite
	}
	{
		map textures/skies/dimclouds.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 3 2
		tcMod scroll 0.05 0.05
	}
	
}

textures/dubtex/dub_blue_lightball
{
	qer_editorimage textures/dubtex/dub_blueball.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans

	
	{
		map textures/dubtex/dub_blueball.tga
		blendfunc GL_ONE GL_ONE
		tcGen base
                tcmod rotate 100
		//tcMod turb 0 0.2 0 .2
                tcmod scroll 1.5 -.8
	}
}

textures/dubtex/cornerlight_5k
{
	qer_editorimage textures/dubtex/dubcorner_light.tga
	q3map_lightimage textures/dubtex/dubcorner_light.light.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/dubtex/dubcorner_light.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/dubtex/dubcorner_light.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/dubtex/cornerlight_strong
{
	qer_editorimage textures/dubtex/dubcorner_light.tga
	q3map_lightimage textures/dubtex/dubcorner_light.light.tga
	surfaceparm nomarks
	q3map_surfacelight 10000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/dubtex/dubcorner_light.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/dubtex/dubcorner_light.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/dubtex/dub_ceil1_38_5k
{
	qer_editorimage textures/base_light/ceil1_38.tga
	q3map_lightimage textures/dubtex/ceil1_38.light.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_38.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_38.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/dubtex/dub_floorlunamark
{
	qer_editorimage textures/dubtex/floorlunamark.tga
	surfaceparm nomarks
	{
		map textures/dubtex/blue_inferno.tga
		tcMod scale 0.5 0.5
		tcMod scroll 1 0
	}
	{
		map textures/dubtex/floorlunamark.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/dubtex/dub_metaltechmark
{
	qer_editorimage textures/dubtex/metaltechmark.tga
	surfaceparm nomarks
	{
		map textures/dubtex/blue_inferno.tga
		tcMod scale 0.5 0.5
		tcMod scroll 1 0
	}
	{
		map textures/dubtex/metaltechmark.tga
		blendFunc GL_ONE GL_SRC_ALPHA 
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/dubtex/dub_largeblockmark
{
	qer_editorimage textures/dubtex/largeblockmark.tga
	surfaceparm nomarks
	{
		map textures/dubtex/blue_inferno.tga
		tcMod scale 0.5 0.5
		tcMod scroll 1 0
	}
	{
		map textures/dubtex/largeblockmark.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO 
	}
}
